Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
PersonalizeCloud Portal
Sitecore Personalize developer documentation
  • 開発Sitecore Personalize
    • ベースURL
    • レスポンスコード
        • テンプレートを作成する
        • テンプレートの取得
        • テンプレートの取得
        • テンプレートを更新する
        • テンプレートのリビジョンを取得する
        • テンプレートのリビジョンを取得する
        • プレビュー テンプレート
        • テンプレート コードのプレビュー
  1. テンプレートREST API
  1. REST API
  2. テンプレートREST API
  3. テンプレートのリビジョンを取得する

テンプレートのリビジョンを取得する

日本語翻訳に関する免責事項

このページの翻訳はAIによって自動的に行われました。可能な限り正確な翻訳を心掛けていますが、原文と異なる表現や解釈が含まれる場合があります。正確で公式な情報については、必ず英語の原文をご参照ください。

GET /v3/templates/{:placeholder-token:}<templateRef>{/:placeholder-token:}/revisions

テンプレートのすべてのリビジョンを取得します。

属性

種類

形容

例

{:placeholder-token:}templateRef{/:placeholder-token:}

糸

テンプレートの参照。

テンプレート参照がわからない場合は、まず テンプレートを取得します。

340ced1b-c9b7-43f0-9eec-2b9f0b7693fa

応答では、revisionキーにリビジョン参照が含まれています。リビジョン参照を使用して 、特定のリビジョンを取得します。

curl -X GET '<baseURL>/v3/templates/340ced1b-c9b7-43f0-9eec-2b9f0b7693fa/revisions' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json'
{
    "href": "<baseURL>/v3/templates/340ced1b-c9b7-43f0-9eec-2b9f0b7693fa/revisions",
    "items": [
        {
            "clientKey": "pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
            "href": "<baseURL>/v3/templates/340ced1b-c9b7-43f0-9eec-2b9f0b7693fa",
            "ref": "340ced1b-c9b7-43f0-9eec-2b9f0b7693fa",
            "name": "Alert bar template",
            "description": "Alert bar template WEB",
            "modifiedByRef": "zwxCA58jwLzfeU2mNGgalCpoJzNVYOJl@clients",
            "modifiedAt": "2025-07-12T10:56:46.53994Z",
            "revision": 1,
            "archived": false,
            "friendlyId": "alert_bar_template_1",
            "type": "WEB",
            "status": "DRAFT",
            "templateElements": [
                {
                    "id": "html",
                    "template": "<div id=\"test\">My test div</div>"
                },
                {
                    "id": "css",
                    "template": "#test {text-transform: uppercase}"
                },
                {
                    "id": "js",
                    "template": "insertHTMLBefore(\"body\");\n\nconst testDiv = document.querySelector(\"#test\");\ntestDiv.insertAdjacentHTML(\"afterbegin\", \"<p>Hello from JavaScript</p>\")"
                },
                {
                    "id": "freemarker",
                    "template": "{}"
                }
            ],
            "render": false,
            "defaultTemplate": false,
            "tags": [],
            "customTemplate": true
        },
        {
            "clientKey": "pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
            "href": "<baseURL>/v3/templates/340ced1b-c9b7-43f0-9eec-2b9f0b7693fa",
            "ref": "340ced1b-c9b7-43f0-9eec-2b9f0b7693fa",
            "name": "Alert bar template UPDATED",
            "description": "Alert bar template WEB - UPDATED",
            "modifiedByRef": "zwxCA58jwLzfeU2mNGgalCpoJzNVYOJl@clients",
            "modifiedAt": "2025-07-12T11:26:14.695138Z",
            "revision": 2,
            "archived": false,
            "friendlyId": "alert_bar_template_1",
            "type": "WEB",
            "status": "DRAFT",
            "templateElements": [
                {
                    "id": "html",
                    "template": "<div id=\"test\">My updated HTML</div>"
                },
                {
                    "id": "css",
                    "template": "#test {text-transform: uppercase}"
                },
                {
                    "id": "js",
                    "template": "insertHTMLBefore(\"body\");\n\nconst testDiv = document.querySelector(\"#test\");\ntestDiv.insertAdjacentHTML(\"afterbegin\", \"<p>Hello from JavaScript</p>\")"
                },
                {
                    "id": "freemarker",
                    "template": "{}"
                }
            ],
            "render": true,
            "defaultTemplate": false,
            "tags": [],
            "customTemplate": true
        }
    ]
}
この記事を改善するための提案がある場合は、 お知らせください!

Documentation Assistant

This assistant uses AI to generate responses based on Sitecore documentation. While it has access to official sources, answers may be incomplete or inaccurate and should not be considered official advice or support.
Powered by
k
kapa.ai
Protected by reCAPTCHA

© Copyright 2026, Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use